# Generated from wits-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name wits

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: Retrieves electricity data from WITS Free to Air
License: MIT
URL: https://www.github.com/gchan/wits
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.10.1
# BuildRequires: rubygem(pry) < 0.11
# BuildRequires: rubygem(guard-rspec) >= 4.7.3
# BuildRequires: rubygem(guard-rspec) < 4.8
# BuildRequires: rubygem(rspec) >= 3.6.0
# BuildRequires: rubygem(rspec) < 3.7
# BuildRequires: rubygem(vcr) >= 3.0.3
# BuildRequires: rubygem(vcr) < 3.1
# BuildRequires: rubygem(webmock) >= 3.0.1
# BuildRequires: rubygem(webmock) < 3.1
# BuildRequires: rubygem(multi_json) >= 1.12.1
# BuildRequires: rubygem(multi_json) < 1.13
# BuildRequires: rubygem(timecop) >= 0.8.1
# BuildRequires: rubygem(timecop) < 0.9
# BuildRequires: rubygem(simplecov) >= 0.14.1
# BuildRequires: rubygem(simplecov) < 0.15
# BuildRequires: rubygem(rubocop) >= 0.49.1
# BuildRequires: rubygem(rubocop) < 0.50
# BuildRequires: rubygem(coveralls) >= 0.8.19
# BuildRequires: rubygem(coveralls) < 0.9
# BuildRequires: rubygem(codeclimate-test-reporter) >= 1.0.5
# BuildRequires: rubygem(codeclimate-test-reporter) < 1.1
# BuildRequires: rubygem(tins) >= 1.13.2
# BuildRequires: rubygem(tins) < 1.14
# BuildRequires: rubygem(listen) >= 3.1.5
# BuildRequires: rubygem(listen) < 3.2
BuildArch: noarch

%description
A Ruby interface for WITS (Wholesale and
information trading system) to retrieve New Zealand electricity data.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/wits.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 1.2.0-1
- Initial package
